{
  "name": "admin-web",
  "private": true,
  "version": "1.0.0",
  "type": "module",
  "description": "智慧教育后台管理系统",
  "author": {
    "name": "zhanyoulin",
    "email": "zhanyoulin456@163.com"
  },
  "license": "MIT",
  "repository": {
    "type": "git",
    "url": "https://code.seevin.com/project-collaboration-platform/admin-web"
  },
  "scripts": {
    "dev": "vite",
    "serve": "vite",
    "build": "vue-tsc --noEmit && vite build --mode test",
    "build:prod": "vue-tsc --noEmit && vite build --mode production",
    "type:check": "vue-tsc --noEmit --skipLibCheck",
    "preview": "npm run build:dev && vite preview",
    "lint": "eslint --ext .vue,.js,.jsx,.ts,.tsx ./ --max-warnings 0",
    "lint:fix": "eslint --ext .vue,.js,jsx,.ts,.tsx ./ --max-warnings 0 --fix",
    "prettier": "prettier --write \"src/**/*.{js,ts,json,tsx,css,less,scss,vue,html,md}\"",
    "stylelint": "stylelint src/**/*.{html,vue,sass,less}",
    "stylelint:fix": "stylelint --fix src/**/*.{html,vue,css,sass,less}",
    "prepare": "husky install",
    "lint-staged": "lint-staged",
    "preinstall": "npx only-allow pnpm"
  },
  "dependencies": {
    "@types/vuedraggable": "^2.24.0",
    "@vueuse/core": "^11.1.0",
    "@wangeditor/editor": "^5.1.23",
    "@wangeditor/editor-for-vue": "^5.1.12",
    "axios": "^1.7.7",
    "dayjs": "^1.11.13",
    "js-md5": "^0.8.3",
    "lodash-es": "^4.17.21",
    "mitt": "^3.0.1",
    "nprogress": "^0.2.0",
    "only-allow": "^1.2.1",
    "pinia": "^2.2.4",
    "pinia-plugin-persistedstate": "^3.2.0",
    "qs": "^6.13.0",
    "tdesign-icons-vue-next": "^0.2.6",
    "tdesign-vue-next": "^1.10.4",
    "vue": "^3.5.11",
    "vue-router": "^4.4.5"
  },
  "devDependencies": {
    "@commitlint/cli": "^19.5.0",
    "@commitlint/config-conventional": "^19.5.0",
    "@rushstack/eslint-patch": "^1.8.0",
    "@types/js-md5": "^0.7.2",
    "@types/lodash-es": "^4.17.12",
    "@types/nprogress": "^0.2.3",
    "@types/qs": "^6.9.16",
    "@vitejs/plugin-legacy": "^4.0.5",
    "@vitejs/plugin-vue": "4.2.3",
    "@vitejs/plugin-vue-jsx": "^3.0.1",
    "@vue/eslint-config-prettier": "^9.0.0",
    "@vue/eslint-config-typescript": "^13.0.0",
    "autoprefixer": "^10.4.20",
    "eslint": "^8.57.0",
    "eslint-plugin-vue": "^9.23.0",
    "husky": "^9.1.6",
    "less": "^4.2.0",
    "lint-staged": "^15.2.10",
    "postcss": "^8.4.47",
    "postcss-html": "^1.7.0",
    "postcss-less": "^6.0.0",
    "prettier": "^3.3.3",
    "rollup-plugin-visualizer": "^5.12.0",
    "stylelint": "~16.2.1",
    "stylelint-config-standard": "^36.0.0",
    "stylelint-order": "~6.0.4",
    "tailwindcss": "^3.4.13",
    "typescript": "5.6.2",
    "unplugin-auto-import": "^0.18.3",
    "unplugin-vue-components": "^0.27.4",
    "vite": "4.5.5",
    "vite-plugin-checker": "^0.8.0",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-eslint": "^1.8.1",
    "vite-plugin-html": "^3.2.2",
    "vite-plugin-svg-icons": "^2.0.1",
    "vue-tsc": "2.0.29"
  },
  "engines": {
    "node": ">=16.0.0",
    "pnpm": ">=8.0.0"
  },
  "lint-staged": {
    "src/**/*.{js,ts,vue,jsx,json}": [
      "prettier --write",
      "eslint --fix"
    ]
  },
  "browserslist": {
    "production": [
      "> 1%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  },
  "exports": {
    ".": {
      "import": {
        "types": "./dist/index.d.ts",
        "default": "./dist/index.mjs"
      },
      "require": "./dist/index.js"
    }
  }
}
